Public Member Functions
LightRig Class Reference

## Detailed Description

The LightRig object is a specialized Rig object composed of a Light and a Null as its interest. Although a LightRig is typically defined with a spot light, it can be defined with any light preset.

See also:
  Camera

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            LightRig myLightRig;
            root.AddLightRig( L"Spot", L"MySpotRig", myLightRig );

            X3DObject spotInterest(myLightRig.GetLight().GetInterest());
            app.LogMessage( spotInterest.GetName() );

`#include <xsi_lightrig.h>`

Inheritance diagram for LightRig:
[legend]

List of all members.

## Public Member Functions
| LightRig ()
| ~LightRig ()
| LightRig (const CRef &in_ref)
| LightRig (const LightRig &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
LightRig & | operator= (const LightRig &in_obj)
LightRig & | operator= (const CRef &in_ref)
Light | GetLight ()

## Constructor & Destructor Documentation

LightRig | ( |  | ) |

Default constructor.

~LightRig | ( |  | ) |

Default destructor.

LightRig | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

LightRig | ( | const LightRig & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Rig.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Rig.

LightRig& operator= | ( | const LightRig & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new LightRig object.

LightRig& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new LightRig object.

Reimplemented from Rig.

Light GetLight | ( |  | ) |

Returns the Light object for this rig.

The documentation for this class was generated from the following file:

- xsi_lightrig.h